/*
@version: 0.7
@author: Sudheer K. <scifi1947 at gmail.com>
@license: GNU General Public License
*/

#ifndef DBUSUTILITY_H
#define DBUSUTILITY_H

#include <QDBusMessage>
#include <QDBusConnection>

#define NOTIFICATION_SERVICE    "org.freedesktop.Notifications"
#define NOTIFICATION_PATH       "/org/freedesktop/Notifications"
#define NOTIFICATION_INTERFACE  "org.freedesktop.Notifications"

class DbusUtility: public QObject
{
 Q_OBJECT
protected:
    QDBusConnection connection;
public:
    DbusUtility(QObject * parent = 0);
    ~DbusUtility();
    QDBusConnection getConnection(bool systemBus = true);
    void setConnection(QDBusConnection connection);
    bool sendSignal(QString strPath,QString strInterface,QString strName,bool systemBus = true);
    bool sendMethodCall(QString strService,QString strPath,
                        QString strInterface,QString strMethodName,
                        QList<QVariant> & arguments,bool systemBus = true);
    bool displayNotification(QString strMessage);
    QString getErrorMessage();
};

#endif // DBUSUTILITY_H
