/*
@version: 0.7
@author: Sudheer K. <scifi1947 at gmail.com>
@license: GNU General Public License
*/

#ifndef HARMATTANACCOUNTUTILITY_H
#define HARMATTANACCOUNTUTILITY_H

#if defined(Q_WS_MAEMO_6)

#include <QObject>

#include <Accounts/Account>
#include <Accounts/Error>
#include <Accounts/Manager>

using namespace Accounts;

class HarmattanAccountUtility : public QObject
{
    Q_OBJECT

public:
    HarmattanAccountUtility();
    Account* getAccount();
    Account* addAccount();
    void removeAccount();
    void verifyAccount();

public slots:
    void errorOccurred(Accounts::Error);

private:
    Manager *manager;

};

#endif //defined (Q_WS_MAEMO_6)

#endif // HARMATTANACCOUNTUTILITY_H
